# VectorNav C++ Library: vn::sensors::SynchronizationStatusRegister Struct Reference

vn::sensors::SynchronizationStatusRegister Struct Reference
Register Structures

Structure representing the Synchronization Status register. More...

`#include <registers.h>`

## Public Member Functions

| SynchronizationStatusRegister (uint32_t syncInCountIn, uint32_t syncInTimeIn, uint32_t syncOutCountIn)
| Creates an initializes a new SynchronizationStatusRegister structure. More...

## Public Attributes

uint32_t | syncInCount
| The syncInCount field.
uint32_t | syncInTime
| The syncInTime field.
uint32_t | syncOutCount
| The syncOutCount field.

## Detailed Description

Structure representing the Synchronization Status register.

## Constructor & Destructor Documentation

vn::sensors::SynchronizationStatusRegister::SynchronizationStatusRegister | ( | uint32_t | syncInCountIn,
|  | uint32_t | syncInTimeIn,
|  | uint32_t | syncOutCountIn
| ) |  |

inline

Creates an initializes a new SynchronizationStatusRegister structure.

Parameters

  [in] | syncInCountIn | Value to initialize the syncInCount field with.
  [in] | syncInTimeIn | Value to initialize the syncInTime field with.
  [in] | syncOutCountIn | Value to initialize the syncOutCount field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h